/*
    SpecRunner - Acceptance Test Driven Development Tool
    Copyright (C) 2011-2013  Thiago Santos

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
 */
package org.specrunner.plugins;

/**
 * Next action to be taken by a plugin.
 * 
 * @author Thiago Santos
 * 
 */
public enum ENext {

    /**
     * Skip content of the node.
     */
    SKIP,

    /**
     * The runner goes down the node children.
     */
    DEEP;

    /**
     * Max of next actions.
     * 
     * @param e
     *            The comparison element.
     * @return The most important, for execution.
     */
    public ENext max(ENext e) {
        return this == DEEP ? this : e;
    }
}
